#!/usr/bin/env python
# coding: utf-8

# In[ ]:


import pandas as pd

# Datu-basea irakurri
dataset = pd.read_csv('C:/Users/User/Desktop/tfg/DATUAK/ESTREINALDIAK.csv')

# Ikusle eta diru-sarrerak zenbakietan bihurtu
dataset['ESPECTADORES'] = pd.to_numeric(dataset['ESPECTADORES'], errors='coerce')
dataset['RECAUDACION'] = pd.to_numeric(dataset['RECAUDACION'], errors='coerce')

# Nazionalitate eta genero bakoitza ezaugarri batean bihurtu
dataset = pd.get_dummies(dataset, drop_first=True)


# In[ ]:


# Pearson korrelazioa aztertu
corr_matrix = dataset.corr(method='pearson')
corr_matrix["RECAUDACION"].sort_values(ascending=False) 


# In[ ]:


# Spearman korrelazioa aztertu
corr_matrix = dataset.corr(method='spearman')
corr_matrix["RECAUDACION"].sort_values(ascending=False) 

