#!/usr/bin/env python
# coding: utf-8

# In[ ]:


import numpy as np
import pandas as pd
import os
import re

# Datu-basea irakurri
df=pd.read_csv('C:/Users/User/Desktop/tfg/DATUAK/ESTRENOS 2010-21 CON RECAUDACION.csv')

# Informazio galera duten laginak ezabatu
df.isna().sum() 
df.dropna(inplace=True)

# Aldagai bakoitzeko zenbat mota desberdin dauden ikusi
data.nunique()

# Erabiliko diren zerrendak sortu
titulo = []
nacionalidad = []
genero =[]
espectadores = []
recaudacion = []
fecha = []
clase = []

# Karaktere bereziak eta estudioen izenak ezabatu
for j in range(len(df)):
    title=df['TITULO*'][j]
    new_title=re.sub('[/.\[\]\*\.\:\?]',' ',title)
    name=new_title.split()
    new_name=[]
    for word in name:
        if word!='DISNEY' and word!='PIXAR' and word!='-' and word!='DREAMWORKS':
            new_name.append(word)
        tit=' '.join(new_name)
        
    # Pelikula pornografikoak ezabatu    
    if df['GENERO'][j] != 'PORNOGRÁFICA':
        titulo.append(tit)
        nacionalidad.append(df['NACIONALIDAD'][j])
        genero.append(df['GENERO'][j])
        espectadores.append(int(df['ESPECTADORES'][j]))
        recaudacion.append(float(df['RECAUDACION'][j]))
        fecha.append(df['FECHA_ESTRENO'][j])
        clase.append(int(i+1))
        
# Datu-base berria sortu              
dataframe = {'TITULO':titulo, 'NACIONALIDAD':nacionalidad, 'GENERO':genero, 'ESPECTADORES':espectadores, 'RECAUDACION':recaudacion, 'FECHA_ESTRENO':fecha, 'CLASE':clase}

dataset = pd.DataFrame(data=dataframe)

# Datu-basea gorde
dataset.to_csv('C:/Users/User/Desktop/tfg/DATUAK/ESTREINALDIAK.csv')

