#!/usr/bin/env python
# coding: utf-8

# In[ ]:


import os

# Laugarren klaseko tweet-ak gordeko diren karpeta sortu
os.mkdir('tweets4')


# Denbora asko hartzen duen prozesu bat denez, une ezberdinetan exektutatu ahal izateko eta programa gelditutako puntu beretik jaraitu ahal izateko, *tit_berrikusi* funtzioa sortu da. Funtzio honek jada bilatu diren pelikulen zerrenda bat testu fitxategi batean idazten du, ondoren zerrenda horietan dauden pelikulekin berriz tweet-bilaketa bat egitea saihesteko.
# 

# In[ ]:


from os import scandir

def tit_berrikusi (path):

    # Pelikulak gordeko diren zerrenda
    tit_list = []
    
    # FItxategia idazteko ireki
    texto = open(path+'\\tweets_analisis\\T4_titulos.txt', 'w', encoding='utf-8') 

    # Pelikula bakoitzetik iteratu
    for arch in scandir(path+'\\tweets4'):

        # .csv ezabatu
        archivo = arch.name[:-4]   

        # noterm ezabatu
        if archivo[-6:] == 'noterm':
            titulo = archivo[:-6]    
            tit_list.append(titulo)

        # Jada bilatu diren pelikulen zerrenda sortu eta testu fitxategian idatzi
        else:
            titulo = archivo
            tit_list.append(titulo) 
        texto.write(titulo+'\n')   
    texto.close()
    
    return tit_list


# Hortaz, funtzio hau erabiliz, hurrengo programa edoezin momentutan exektutatu eta geldi daiteke.

# In[ ]:


import re
import pandas as pd

# Tweet-ak bilatzeko komando lerroa instalatu
get_ipython().system('pip install git+https://github.com/JustAnotherArchivist/snscrape.git')

# Kodearen kokalekua
path = os.getcwd() 

df1 = pd.read_csv('C:/Users/User/Desktop/tfg/DATUAK/df_klase/df_klase4.csv')

# Jada bilatu diren filmen zerrenda
tit_list = tit_berrikusi(path) 

# Pelikulak iteratiboki hartu
for i in range(len(df1)):
    title = df1['TITULO'][i]
    if title not in tit_list:
    
        # Hasierako eta bukaerako datak zehaztu
        d_values = pd.to_datetime(df1['FECHA_ESTRENO'][i])
        month = d_values.month
        year = d_values.year
        day = d_values.day
        until_date = str(year)+'-'+str(month)+'-'+str(day)
        if period <= 0: 
            periodf = 12 + period
            yearf = year - 1
        else:
            periodf = period
            yearf = year
        since_date = str(yearf)+'-'+str(periodf)+'-'+str(day)

        # Bilatuko den tweet-kopuru maximoa
        tweet_count = 500000 

        # Bilaketa egin snscrape erabiliz
        os.system('snscrape --jsonl --max-results {} --since {} twitter-search "{} until:{}"> text-query-tweets.json'.format(tweet_count, since_date, title+' peli' or title+' trailer', until_date)) #agregamos 'peli y 'trailer'
        tweetts4_df1 = pd.read_json('text-query-tweets.json', lines = True)

        # 10 tweet baino gutxiago aurkitzen badira, terminorik gabe bilatu
        if len(tweetts4_df1)<10: 
            os.system('snscrape --jsonl --max-results {} --since {} twitter-search "{} until:{}"> text-query-tweets.json'.format(tweet_count, since_date, title, until_date))
            tweetts4_df2 = pd.read_json('text-query-tweets.json', lines = True)
            tweetts4_df2.to_csv(str(path)+'/tweetts4/'+title+'noterm.csv', sep = ',', index = False)
        else:
            tweetts4_df2 = tweetts4_df1
            tweetts4_df2.to_csv(str(path)+'/tweetts4/'+title+'.csv', sep = ',', index = False)


# Pelikula bakoitzeko *csv* fitxategi bat sortuko da. Hurrengo kodeak fitxategi horietatik tweet-en edukia hartzen du eta testu fitxategi batean idazten du.
# 

# In[ ]:


from os import remove
import pandas as pd

# Kodearen kokalekua
path = os.getcwd()

# csv fitxategien izenen errenda bat sortu
archivos = os.listdir(path+'/tweets4') 

# csv fitxategiak iteratu
for i in range(len(archivos)):

    # csv bakoitzaren kokalekua
    path2 = path+'/tweets4/'+archivos[i]
    
    # '.csv' fitxategiaren izenatik kendu eta .txt ipini
    titulo = archivos[i] 
    if titulo[-4:] != '.csv':
        texto = open(path+'/tweets4_EDUKIA/'+str(titulo)+'.txt','w', encoding = 'utf-8')
    else:
        texto = open(path+'/tweets4_EDUKIA/'+str(titulo[:-4])+'.txt','w', encoding = 'utf-8') 
        
    # csv fitxaegia irakurri
    df2 = pd.read_csv(path2,lineterminator = '\n')
    
    # fitxategiaren tweet bakoitza testu fitxategian idatzi
    for j in range(len(df2)):
        texto.write(str(df2['content'][j])+'\n')
    texto.close()


# Pelikula bakoitzeko testu fitxategi bat sortu da.
