#!/usr/bin/env python
# coding: utf-8

# Tweet-ak dituzten testu fitxtegietatik tweet-ak hartu eta garbituko dira, ondoren testu fitxategi berrietan gordetzeko. Kode hau klase bakoitzarekin exekutatu da.
# 

# In[ ]:


import os

# Tweet garbiak dituzten fitxategiak gordeko diren karpetak sortu
os.mkdir('tweets1_GARBIA')
os.mkdir('tweets2_GARBIA')
os.mkdir('tweets3_GARBIA')
os.mkdir('tweets4_GARBIA')

# Beharrezko liburutegiak instalatu edo inportatu
get_ipython().system('pip install emoji')
import pandas as pd
import re
import emoji

# Kodearen kokalekua lortu
path = os.getcwd()

# Testu fitxategi bakoitzaren izenekin zerrenda bat sortu
archivos = os.listdir(path+'/tweets1_EDUKIA') 

# tweet bakoitza garbitzeko funtzioa
def text_preproc(text):

    # URL-a ezabatu
    text = re.sub(r'https*\S+', ' ', text) 

    # Aipamenak (@) ezabatu
    text = re.sub(r'@\S+', ' ', text) 

    # Hashtag-ak ezabatu
    text = re.sub(r'#\S+', ' ', text)

    # Puntuazio zeinuak ezabatu
    text = re.sub('[%s]' % re.escape(string.punctuation), ' ', text)

    # Zenbakiak ezabatu
    text = re.sub(r'\w*\d+\w*', '', text) 

    # Jarraian dauden hutsuneak ezabatu
    text = re.sub(r'\s{2,}', ' ', text) 

    # Emotikonoak hitzetan bihurtu
    text = emoji.demojize(text,language = 'es') 

    # Gaiziki ezabatu diren karaktereak ezabatu
    text = text.replace(':','')
    text = text.replace('_',' ')
    text = re.sub(r'[¿,?,!,.....]+', '', text) 

    # Ortografia pixka bat zuzendu
    if " q " in text:
        text = text.replace(" q ", " que ")

    # Hasieran dauden hutsuneak ezabatu
    if text[0] == ' ':    
        text = text[1:]

    # Lerro-jauziak ezabatu
    text = re.sub("\n","",text)
    
    return text

# Testu fitxategiak iteratu
for i in range(len(archivos)):

    # Fitxategi bakoitzaren kokalekua lortu
    titulo = archivos[i] 
    path2 = path+'/tweets1_EDUKIA/'+titulo
    edukia1 = open(path2, 'r', encoding = 'utf-8')

    # Garbitutako tweet-ak idazteko fitxategi berri bat sortu
    garbi1 = open(path+'/tweets1_GARBI/'+titulo, 'w', encoding = 'utf-8') 

    # Tweet-en zerrenda sortu
    tweet_eduki = edukia1.readlines()

    # Tweet-a garbitu eta fitxategi berrian gorde
    for tweet in tweet_eduki:
        tweet = text_preproc(tweet)

        # Garbitzean karaktererik gabe geratu direnak ez dira idatziko
        if len(tweet)>1:
            garbi1.write(str(tweet)+'\n')
        
    edukia1.close()
    garbi1.close()


# Pelikula bakoitzeko testu fitxategi berri bat sortu da, tweet garbiak dituenak.
# 
