#!/usr/bin/env python
# coding: utf-8

# Tweet-ik gabeko pelikulak ezabatzeko, hutsik dauden fitxategiak ezabatzen dituen kodea programatu da. Aurrerago egingo den analisi bat egiteko, ezabatutako pelikulen zerrenda bat testu fitxategi batean gorde da.
# 

# In[ ]:


import os

# Karpeta batean ezabatutako pelikulen izenak gorde, badaepada
os.mkdir('Ezabatutakoak')
path = os.getcwd()

# Iteratiboki lau klaseen karpetetatik igaro
text_folders = ["tweets1_GARBI","tweets2_GARBI","tweets3_GARBI","tweets4_GARBI"]
for i in range(len(text_folders)):

    # Ezabatutakoen tituluak idatziko diren testu fitxategia sortu
    t_folder = os.listdir(path+"\\"+text_folders[i])
    removed = open(path+'\\Ezabatutakoak\\tweets'+str(i+1)+'.txt', 'w', encoding='utf-8')
    for film in t_folder:

        # Fitxategia hutsik badago, ezabatuko da
        if os.stat(path+"\\"+text_folders[i]+"\\"+film).st_size == 0:

            # 'noterm.txt' izenetik ezabatu
            removed.write(film[:-10]+"\n") 

            #fitxategia ezabatu
            os.remove(path+"\\"+text_folders[i]+"\\"+film) 
    removed.close()

